org.apache.ignite.internal.processors.odbc

## Class OdbcRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest

Direct Known Subclasses:
  OdbcHandshakeRequest, OdbcQueryCloseRequest, OdbcQueryExecuteRequest, OdbcQueryFetchRequest, OdbcQueryGetColumnsMetaRequest, OdbcQueryGetParamsMetaRequest, OdbcQueryGetTablesMetaRequest

    public class OdbcRequest
    extends Object

ODBC command request.

### Field Summary

Fields
`static int` `CLOSE_SQL_QUERY` Close query.
`static int` `EXECUTE_SQL_QUERY` Execute sql query.
`static int` `FETCH_SQL_QUERY` Fetch query results.
`static int` `GET_COLUMNS_META` Get columns meta query.
`static int` `GET_PARAMS_META` Get parameters meta.
`static int` `GET_TABLES_META` Get columns meta query.
`static int` `HANDSHAKE` Handshake request.

### Constructor Summary

Constructors
Constructor and Description
`OdbcRequest(int cmd)`

### Method Summary

Methods
`int` `command()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HANDSHAKE

    public static final int HANDSHAKE

Handshake request.

See Also:
  Constant Field Values

#### EXECUTE_SQL_QUERY

    public static final int EXECUTE_SQL_QUERY

Execute sql query.

See Also:
  Constant Field Values

#### FETCH_SQL_QUERY

    public static final int FETCH_SQL_QUERY

Fetch query results.

See Also:
  Constant Field Values

#### CLOSE_SQL_QUERY

    public static final int CLOSE_SQL_QUERY

Close query.

See Also:
  Constant Field Values

#### GET_COLUMNS_META

    public static final int GET_COLUMNS_META

Get columns meta query.

See Also:
  Constant Field Values

#### GET_TABLES_META

    public static final int GET_TABLES_META

Get columns meta query.

See Also:
  Constant Field Values

#### GET_PARAMS_META

    public static final int GET_PARAMS_META

Get parameters meta.

See Also:
  Constant Field Values

### Constructor Detail

#### OdbcRequest

    public OdbcRequest(int cmd)

Parameters:
  `cmd` - Command type.

### Method Detail

#### command

    public int command()

Returns:
  Command.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017